cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-10438) Plugin dependency version/spec is not used/ignored
Date Tue, 14 Mar 2017 17:57:41 GMT

    [ https://issues.apache.org/jira/browse/CB-10438?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15924689#comment-15924689
] 

ASF GitHub Bot commented on CB-10438:
-------------------------------------

GitHub user audreyso opened a pull request:

    https://github.com/apache/cordova-lib/pull/527

    CB-10438 : Install correct dependency version

    <!--
    Please make sure the checklist boxes are all checked before submitting the PR. The checklist
    is intended as a quick reference, for complete details please see our Contributor Guidelines:
    
    http://cordova.apache.org/contribute/contribute_guidelines.html
    
    Thanks!
    -->
    
    ### Platforms affected
    
    
    ### What does this PR do?
    Install correct dependency version, requires force to install plugin with wrong dependency
version installed.
    
    ### What testing has been done on this change?
    
    
    ### Checklist
    - [X] [Reported an issue](http://cordova.apache.org/contribute/issues.html) in the JIRA
database
    - [X] Commit message follows the format: "CB-3232: (android) Fix bug with resolving file
paths", where CB-xxxx is the JIRA ID & "android" is the platform affected.
    - [X] Added automated test coverage as appropriate for this change.


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/audreyso/cordova-lib CB-10438

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cordova-lib/pull/527.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #527
    
----
commit 99c0527ad221ae8cd92cf955da81250b2cc95022
Author: carynbear <caryn.tran@berkeley.edu>
Date:   2016-06-07T00:21:02Z

    CB-10438 Install correct dependency version, requires force to install plugin with wrong
dependency version installed

commit f2c57e5f8453c1c5bc7c8bddf241bc34c34c39ec
Author: Audrey So <audreyso@apache.org>
Date:   2017-03-10T18:23:17Z

    CB-10438 : updated install.spec test to work with jasmine 2.0

commit d08d3081613d7ff9af758c8a01d8aeeed7ebf6c8
Author: Audrey So <audreyso@apache.org>
Date:   2017-03-13T17:43:04Z

    CB-10438 : removed shell.remove because it was deleting dummy plugin tests and not able
to recreate them and updated C@1.0.0 id in tests, added pkg.json to dependency tests 1-3,
and updated install.js (.replace) to fix tests in uninstall.spec.js

----


> Plugin dependency version/spec is not used/ignored
> --------------------------------------------------
>
>                 Key: CB-10438
>                 URL: https://issues.apache.org/jira/browse/CB-10438
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CordovaLib
>    Affects Versions: 6.0.0, 5.4.1
>            Reporter: Steve Gill
>            Assignee: Steve Gill
>              Labels: as-designed, cordova-7.0.0, triaged
>
> Quite the bug! 
> {code:javascript}
> <dependency id="cordova-plugin-file" spec="3.0.0" />
> or
> <dependency id="cordova-plugin-file" version="3.0.0" />
> {code}
> The above line will ignore spec or version and will always grab the latest. I went back
and tried the previous version of cordova and this seems to be ignoring it as well. Seems
like this was never working.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message